Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.search
Class AllBufferSet

    java.lang.Object
      org.gjt.sp.jedit.search.BufferListSet
          org.gjt.sp.jedit.search.AllBufferSet

All Implemented Interfaces:
  SearchFileSet

public class AllBufferSet
extends BufferListSet

A file set for searching all open buffers.

Version:
  $Id: AllBufferSet.java,v 1.4 2002/06/18 02:44:52 spestov Exp $
Author:
  Slava Pestov

Constructor Summary
`AllBufferSet(java.lang.String glob)` Creates a new all buffer set.

Method Summary
`protected java.lang.String[]` | `_getFiles(java.awt.Component comp)` Note that the paths in the returned list must be fully canonicalized.
`java.lang.String` | `getCode()` Returns the BeanShell code that will recreate this file set.
`java.lang.String` | `getFileFilter()` Returns the filename filter.

Methods inherited from class org.gjt.sp.jedit.search.BufferListSet
`getFileCount, getFiles, getFirstFile, getNextFile, invalidateCachedList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AllBufferSet

    public AllBufferSet(java.lang.String glob)

  Creates a new all buffer set.

Parameters:
  `glob` - The filename glob
Since:
  jEdit 2.7pre3

Method Detail

### getFileFilter

    public java.lang.String getFileFilter()

  Returns the filename filter.

  Since:
    jEdit 2.7pre3

### getCode

    public java.lang.String getCode()

  Returns the BeanShell code that will recreate this file set.

  Specified by:
    `getCode` in interface `SearchFileSet`
  Overrides:
    `getCode` in class `BufferListSet`
  Since:
    jEdit 2.7pre3

### _getFiles

    protected java.lang.String[] _getFiles(java.awt.Component comp)

  Description copied from class: `BufferListSet`
  Note that the paths in the returned list must be fully canonicalized.

  Specified by:
    `_getFiles` in class `BufferListSet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD